Bug 392056 - Updates in the system tray do not include the security updates
Summary: Updates in the system tray do not include the security updates
Status: RESOLVED FIXED
Alias: None
Product: Discover
Classification: Unclassified
Component: Updates (interactive) (show other bugs)
Version: 5.12.3
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: Aleix Pol
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-19 13:28 UTC by RaitaroH
Modified: 2018-06-19 21:09 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.12.6


Attachments
Tray screenshot. Either change the text or fix the countint issue. (41.91 KB, image/png)
2018-03-19 13:28 UTC, RaitaroH
Details
The updates in discover (103.20 KB, image/png)
2018-03-19 13:29 UTC, RaitaroH
Details

Note You need to log in before you can comment on or make changes to this bug.
Description RaitaroH 2018-03-19 13:28:41 UTC
Created attachment 111498 [details]
Tray screenshot. Either change the text or fix the countint issue.

The number of updates in the tray shows that all the updates are the non-security updates and the security updates are displayed as separate. This actually means that in my case I have 5 normal updates (showed as all of them) of which 8 are security updates (obviously I have 5+8 updates in total).
Comment 1 RaitaroH 2018-03-19 13:29:00 UTC
Created attachment 111499 [details]
The updates in discover
Comment 2 Chris Holland 2018-06-19 00:31:54 UTC
Recently reported on reddit:
https://www.reddit.com/r/kde/comments/8rzrr6/so_whats_the_logic_behind_updater/

I submitted a possible patch that might fix this:
https://phabricator.kde.org/D13596
Comment 3 Chris Holland 2018-06-19 21:09:37 UTC
Git commit 9577e7d1d333d43d899e6eca76bfb309483eb29a by Chris Holland.
Committed on 19/06/2018 at 21:04.
Pushed by cholland into branch 'Plasma/5.12'.

Fix there being more security updates than total updates in notifier

We currently read the previous `m_securityCount` instead of using the current `securityCount`.
FIXED-IN: 5.12.6

Differential Revision: https://phabricator.kde.org/D13596

M  +1    -1    notifier/DiscoverNotifier.cpp

https://commits.kde.org/discover/9577e7d1d333d43d899e6eca76bfb309483eb29a